path: /build/build/virtualbox-guest-additions-kernel-5.15-7.1.8.168469+2.package.tar.zst
dependencies: []
compilespec:
  steps:
  - rm -rf /var/git/meta-repo/kits/core-server-kit/app-emulation/virtualbox-guest-additions/files/patches/009-virtualbox-5.1.0-add_missing_gl_header.patch
    && rm -rf /var/git/meta-repo/kits/core-server-kit/app-emulation/virtualbox-guest-additions/files/patches/012_virtualbox-6.1.0-include_opengl_headers.patch
    && rm -rf /var/git/meta-repo/kits/core-server-kit/app-emulation/virtualbox-guest-additions/files/patches/014_virtualbox-6.0.14-Glsizeiptr.patch
  - anise i -y --sync-repos kernel-5.15/macaroni-lts-modules --nodeps && anise i -y
    sys-apps/kmod bison flex virtual/linux-sources yasm virtual/libelf dbus xmlto
    app-text-4.2/docbook-xml-dtd app-text-4.4/docbook-xml-dtd app-text-3.0/docbook-xml-dtd
    app-text/docbook-xsl-stylesheets app-text/build-docbook-catalog app-text/sgml-common
    pkgconf iasl $(anise s x11-drivers --quiet) xrandr xrefresh && build-docbook-catalog
    && anise cleanup && cd /lib/modules/5.15.191-macaroni && ln -s /usr/src/linux-5.15.191-macaroni
    build
  - emerge -j ${JOBS} app-emulation/virtualbox-guest-additions -pv -t
  - |
    emerge -j ${JOBS} app-emulation/virtualbox-guest-additions
  - |
    eval 'rm -rf /virtualbox-guest-additions || true' && mkdir /virtualbox-guest-additions && \
    luet-portage --dir /virtualbox-guest-additions app-emulation/virtualbox-guest-additions
  - for i in /virtualbox-guest-additions/lib/modules/5.15.191-macaroni/misc/*.ko ;
    do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:ef9a9d8b90889182d3fb2d6fa69624a3fbd20a84c1346a672e65633326f4d95d
  package:
    name: virtualbox-guest-additions
    version: 7.1.8.168469+2
    category: kernel-5.15
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.15
    provides:
    - name: virtualbox-guest-additions
      version: '>=0'
      category: app-emulation
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    buildtimestamp: 2025-09-15 11:10:56.11754657 +0000 UTC m=+1801.597315584
    labels:
      emerge.packages: app-emulation/virtualbox-guest-additions
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.15.191
    treedir: /build/packages
  package_dir: /virtualbox-guest-additions
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4e70c3cf549e23c2692ed33a9afd526a0e1549e29d5fdc3687bb53aa5a64e8d2
compressiontype: zstd
files:
- etc/init.d/virtualbox-guest-additions
- etc/modprobe.d/vboxsf.conf
- etc/xdg/autostart/vboxclient.desktop
- lib/modules/5.15.191-macaroni/misc/vboxguest.ko.zst
- lib/modules/5.15.191-macaroni/misc/vboxsf.ko.zst
- lib/udev/rules.d/60-virtualbox-guest-additions.rules
- sbin/mount.vboxsf
- usr/bin/VBoxControl
- usr/sbin/vboxguest-service
- usr/share/doc/virtualbox-guest-additions-7.1.8/xorg.conf.vbox.bz2
package_cacheimage: ""
runtime:
  name: virtualbox-guest-additions
  version: 7.1.8.168469+2
  category: kernel-5.15
  provides:
  - name: virtualbox-guest-additions
    version: '>=0'
    category: app-emulation
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  labels:
    emerge.packages: app-emulation/virtualbox-guest-additions
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.15.191
